com.google.gwt.aria.client

## Class PrimitiveValueAttribute<T>

- java.lang.Object
- - com.google.gwt.aria.client.Attribute<T>
  - - com.google.gwt.aria.client.PrimitiveValueAttribute<T>

    class PrimitiveValueAttribute<T>
    extends Attribute<T>

Primitive type attribute. The primitive types are: boolean, string, int, number.

### Field Summary

### Fields inherited from class com.google.gwt.aria.client.Attribute

`defaultValue, name`

### Constructor Summary

Constructors
Constructor and Description
`PrimitiveValueAttribute(java.lang.String name)`
`PrimitiveValueAttribute(java.lang.String name, java.lang.String defaultValue)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `getSingleValue(T value)` Gets the string representation of `value` to be set as an attribute value to an HTML element.

### Methods inherited from class com.google.gwt.aria.client.Attribute

`get, getName, remove, set, setDefault`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrimitiveValueAttribute

    public PrimitiveValueAttribute(java.lang.String name)

#### PrimitiveValueAttribute

    public PrimitiveValueAttribute(java.lang.String name,
                                   java.lang.String defaultValue)

### Method Detail

#### getSingleValue

    protected java.lang.String getSingleValue(T value)

Description copied from class: `Attribute`
Gets the string representation of `value` to be set as an attribute value to an HTML element.

Specified by:
  `getSingleValue` in class `Attribute<T>`
Parameters:
  `value` - The item to be stringified
Returns:
  the stringified representation of `value`